"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.help = void 0;
const core_1 = require("@angular-devkit/core");
const logger_1 = require("../shared/logger");
function help() {
    const logger = logger_1.getLogger(true);
    logger.info(core_1.tags.stripIndent `
    ${core_1.terminal.bold('Nx - Extensible Dev Tools for Monorepos.')}
  
    ${core_1.terminal.bold('Create a new project.')}
     nx new ${core_1.terminal.grey('[project-name] [--collection=collection] [options, ...]')}
    
    ${core_1.terminal.bold('Generate code.')}
     nx generate ${core_1.terminal.grey('[collection:][generator] [options, ...]')}
     nx g ${core_1.terminal.grey('[collection:][generator] [options, ...]')}

    ${core_1.terminal.bold('Run target.')}    
     nx run ${core_1.terminal.grey('[project][:target][:configuration] [options, ...]')}
     nx r ${core_1.terminal.grey('[project][:target][:configuration] [options, ...]')}
    
    You can also use the infix notation to run a target:
     nx [target] [project] [options, ...]

    ${core_1.terminal.bold('Migrate packages and create migrations.json.')}
     nx migrate ${core_1.terminal.grey('[package-name]')}
    
    ${core_1.terminal.bold('Run migrations.')}
     nx migrate ${core_1.terminal.grey('--run-migrations=[filename]')}

  `);
    return 0;
}
exports.help = help;
//# sourceMappingURL=help.js.map