/// <reference types="node" />
import { Options, Schema } from '../shared/params';
import { TargetConfiguration, WorkspaceConfiguration } from '../shared/workspace';
export interface RunOptions {
    project: string;
    target: string;
    configuration: string;
    help: boolean;
    runOptions: Options;
}
export declare function printRunHelp(opts: RunOptions, schema: Schema, logger: Console): void;
export declare function validateTargetAndConfiguration(workspace: WorkspaceConfiguration, opts: RunOptions): void;
export interface TargetContext {
    root: string;
    target: TargetConfiguration;
    workspace: WorkspaceConfiguration;
}
export declare function run(root: string, args: string[], isVerbose: boolean): Promise<any>;
